
#include <stdio.h>

double data16x24[8][10] = {
    { /*backyard*/ 31,  30, 97.5 ,  21  , 80.9 , 5,   5, 99.2 ,  11  ,100.0 },
    { /*    bars*/ 12,  13, 98.5 ,   8  , 80.0 , 2,   3,100.0 ,   4  , 88.3 },
    { /*   books*/ 72,  81, 96.0 ,  34  , 55.7 ,11,  11, 99.0 ,  16  , 89.8 },
    { /*building*/ 14,  14,100.0 ,  16  ,100.0 , 3,   2,100.0 ,   7  ,100.0 },
    { /*    cans*/ 19,  34, 97.1 ,   5  , 16.9 , 5,   5, 99.5 ,   4  , 67.7 },
    { /*   coins*/ 16,  18,100.0 ,  16  , 93.6 ,16,  18,100.0 ,   9  , 59.2 },
    { /* flowers*/ 30,  33, 71.7 ,  22  , 38.6 ,14,  16, 86.8 ,  10  , 48.6 },
    { /*   trail*/  5,   5,100.0 ,  10  ,100.0 , 3,   3, 99.1 ,   4  ,100.0 }
};

double data32x48[8][10] = {
    { /*backyard*/ 33,  35,100.0 ,  37  , 99.7 , 5,   5,100.0 ,  31  ,100.0 },
    { /*    bars*/ 12,  18,100.0 ,  44  ,100.0 , 2,   3,100.0 ,  20  ,100.0 },
    { /*   books*/ 87,  95,100.0 ,  76  , 90.8 ,11,  12,100.0 ,  41  ,100.0 },
    { /*building*/ 15,  15,100.0 ,  16  ,100.0 , 3,   3,100.0 ,  16  ,100.0 },
    { /*    cans*/ 18,  34,100.0 ,  84  ,100.0 , 4,   5,100.0 ,   9  ,100.0 },
    { /*   coins*/ 16,  18,100.0 ,  26  ,100.0 ,16,  18,100.0 ,  18  ,100.0 },
    { /* flowers*/ 35,  41, 91.2 , 163  , 79.3 ,15,  19, 96.1 ,  96  , 93.4 },
    { /*   trail*/  5,   6,100.0 ,  21  ,100.0 , 3,   3, 99.6 ,  21  ,100.0 }
};

main()
{
    int i, j;
    double total;

    printf( "16x24:" );
    for( j = 0; j < 10; j++ ) {
	total = 0.0;
	for( i = 0; i < 8; i++ ) {
	    total += data16x24[i][j];
	}
	printf( " %6.1f", total/8.0 );
    }
    printf( "\n" );

    printf( "32x48:" );
    for( j = 0; j < 10; j++ ) {
	total = 0.0;
	for( i = 0; i < 8; i++ ) {
	    total += data32x48[i][j];
	}
	printf( " %6.1f", total/8.0 );
    }
    printf( "\n" );

    printf( "32x48:" );
    total = 0.0;
    for( i = 0; i < 8; i++ ) {
	double ratio = data32x48[i][8] / data32x48[i][6];
	total += ratio;
	printf( " %6.2f\n", ratio );
    }
    printf( "Average ratio: %6.2f\n", total/8.0 );

}

