
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <vector>
#include "focusStacking.h"

using namespace std;

int
main(int argc, char *argv[] )
{
    if( argc != 3 ) {
        fprintf( stderr, "Usage: exact benchmark [wide/narrow]\n" );
        exit( 6 );
    }

    FocusStacking f( argv[1], argv[2] );

    vector<int> adaptiveAutofocus = f.selectAdaptiveAutofocus();
    printf( "Selected images (%d):\n", adaptiveAutofocus.size() );
    for( unsigned int i = 0; i < adaptiveAutofocus.size(); i++ ) {
        printf( "%d\n", adaptiveAutofocus[i] );
    }

    return( 0 );
}

