#ifndef _EVALUATION_H
#define _EVALUATION_H

#include <vector>
#include "../Include/dof.h"


class Evaluation
{
    public:

	Evaluation( char *benchmark, char *apertureString );
	~Evaluation();

	void accuracy( int selected[], int n );

    private:
	static const int maxImages = 256;

	char benchmark[128];
	char apertureString[128];

	/*
	 *  Depth of field calculations and mapping to lens positions.
	 */
	DepthOfField *dof;
};

#endif // _EVALUATION_H
